Using SQL Server Books Online

SQL Server Books Online is the online documentation provided with Microsoft® SQL Server™ 2000. You can find information in SQL Server Books Online by:

  • Navigating through the contents pane.

  • Typing a keyword in the index.

  • Typing a word or phrase and performing a search.

SQL Server Books Online appears in a window that contains these panes:

Navigation pane

This pane is located on the left and contains the Contents, Index, Search, and Favorites tabs. The topics on the Contents tab are organized hierarchically by task or subject.

Topic pane

This pane is located on the right and displays the selected topic or the default topic.

Toolbar pane

This pane is located below the SQL Server Books Online title bar and contains the navigation and command buttons.

Using the Toolbar Buttons

You can find topics in SQL Server Books Online by using these navigational buttons on the toolbar:

Previous

Displays the previous topic listed in the table of contents.

Next

Displays the next topic listed in the table of contents.

Back

Displays the last topic you viewed.

Forward

Displays the next topic in a previously displayed sequence of topics.

Home

Displays the SQL Server Books Online Home Page.

Note The toolbar in your Help Viewer may not contain all of these navigational buttons.

Other buttons on the toolbar are:

Hide

Hides the Navigation pane. When the Navigation pane is hidden, click Show to show the Navigation pane. If you close SQL Server Books Online with the Navigation pane hidden, the pane is hidden the next time you open SQL Server Books Online.

Locate

Displays the location of a topic in the Navigation pane.

Font

Changes the font size in the Topics pane.

Print

Prints the selected topic, with the option to print all subtopics.

Navigating SQL Server Books Online

Here are some tips for navigating SQL Server Books Online:

  • To return to the SQL Server Home page, click Home on the toolbar.

  • Colored, underlined text indicates links to other topics. To link to another topic, including Web pages, click the colored, underlined text.

  • Many topics contain lists of related topics, called See Also. To jump to a related topic, click the title of the topic you want to view.

  • If you use a particular topic often, you can add it to your Favorites list. For more information, see Finding a Topic.

  • For shortcut menu commands, right-click the Contents tab or Topic pane. For more information, see Using Accessibility Features in SQL Server Books Online.
Copying and Printing a Topic

To copy or print a topic, use these procedures.

To copy a topic

  1. In the Topic pane, right-click the topic you want to copy, and then click Select All.

  2. Right-click again, and then click Copy. This copies the topic to the Clipboard.

  3. Open the document to which you want to copy the topic.

  4. Position your cursor where you want the information to appear.

  5. On the Edit menu, click Paste.

Note If you want to copy only part of a topic, select the text you want to copy, right-click, and then click Copy.

To print the current topic

  • Right-click a topic, and then click Print.

Note If you print from the Contents tab (by right-clicking an entry, and then clicking Print) you will see options to print only the selected topic, or the selected topic and all subtopics.

Using the Shortcut Menu Commands

This table shows the shortcut menu commands you can use to display and customize information.

Command | Description
Right-click in the table of contents, and then click Close All. | Closes all books or folders. This command only works if the Contents tab is displayed.
Right-click, and then click Print. | Prints the topic.

These commands can be accessed using the keyboard. Press SHIFT+F10 to display the shortcut menu, and then click the appropriate shortcut keys. Or, enable MouseKeys. Use a MouseKey combination to display the shortcut menu, and then click the appropriate shortcut keys.


Changing the Way Topics Appear

The size and position of the SQL Server Books Online window and the Navigation and Topic panes can be easily changed:

  • To resize the Navigation or Topic pane, point to the divider between the two panes. When the pointer changes to a double-headed arrow, drag the divider right or left.

  • To shrink or enlarge SQL Server Books Online, point to any corner of the SQL Server Books Online window. When the pointer changes to a double-headed arrow, drag the corner.

  • To change the height or width of SQL Server Books Online, point to the top, bottom, left, or right edge of the SQL Server Books Online window. When the pointer changes to a double-headed arrow, drag the edge.

  • To reposition SQL Server Books Online on your screen, click the title bar and drag the SQL Server Books Online window to a new position.

Note When you open SQL Server Books Online, it appears with the size and position settings that were last specified.


Finding a Topic

To find a topic in SQL Server Books Online, use the tabs in the Navigation pane:

  • Click the Contents tab to browse the table of contents, which is an expandable, hierarchical list of topics.

  • Click the Index tab to see a list of index entries, and then type a term that you want to search for or scroll through the list of terms. Topics are often indexed under more than one entry.

  • Click the Search tab and then type the word to locate every occurrence of a word or phrase that may be contained in SQL Server Books Online. For more information, see Using the Search Tab.

    Note The results of a search are displayed in three columns: Title, Location, and Rank. The ranking of topics under the Rank column is not determined by any standard (for example, alphabetical order or most number of hits). Do not use the ranking to determine which topics to view.

  • Click the navigation buttons on the toolbar. For more information, see Using SQL Server Books Online.
Creating and Using the Favorites List

The Favorites list provides a convenient way to access topics that you frequently refer to.

  • To create a list of favorite topics, locate the topic you want to make a favorite topic, click the Favorites tab, and then click Add.

  • To return to a favorite topic, click the Favorites tab, select the topic, and then click Display.

  • If you want to rename a topic, on the Favorites tab, select the topic, and then type a new name in the Current topic box.

  • To remove a favorite topic, on the Favorites tab, select the topic, and then click Remove.
Accessing a Topic Using a URL

You can use a URL to direct someone to a topic in SQL Server Books Online.

To direct someone to a topic in SQL Server Books Online

  1. On the page to which you want to direct someone, in the Navigation pane, right-click the topic, and then click Jump to URL.

  2. Copy the URL that appears in the Current URL box, and then paste it into an e-mail or other document.

  3. Instruct the person receiving the URL on how to paste the URL into the Jump to this URL dialog box.

    The URL can also be pasted in the Address box in Microsoft Internet Explorer. However, this will not bring up SQL Server Books Online; only the topic that you selected will be displayed.


Using Subsets to Find a Topic

The SQL Server Books Online documentation is divided into a set of default subsets. The subsets are targeted at specific audiences, and each subset covers multiple topics. Subsets make it easier to search for information related to your activities by minimizing the number of search hits. For example, an ADO programmer can use the ADO programmer subset to find information relevant to writing ADO applications, without getting topics with similar information in DB-Library and Embedded SQL. You can define your own subsets against which to perform a search.

To define your own subsets

  1. On the View menu, click Define Subset.

  2. In the Select subset to display box, select New.

  3. In the Available Items list, click the items you want in the subset, and then click Add.

  4. In the Save new subset as box, type a name for the subset, and then click Save.

To use a default subset

  • Select the subset you want using the Active Subset drop-down list box in the Navigation pane of SQL Server Books Online.

To delete a subset

Note If you delete a subset, there is no way to restore it automatically; you must redefine the subset.

  1. On the View menu, click Define Subset.

  2. In the Select subset to display box, select the subset you want to delete, and then click Delete.


Using the Search Tab

SQL Server Books Online includes a Search tab that allows you to search through every word in SQL Server Books Online to find a match. For example, if you perform a full-text search on the word "index", every topic that contains the word "index" is listed. You can precisely define a search by using wildcard expressions, nested expressions, and Boolean operators. You can request similar word matches, search only the topic titles, or search the results of an earlier search.

All instances of search terms that are found in the topic files can appear highlighted. To specify highlighting, click the Options button, and then click Search Highlight On. If you are viewing a long topic, only the first 500 instances of a search word or phrase are highlighted. This feature works only with Microsoft® Internet Explorer 4.0 or later.

Searching for Topics

A search consists of the word or phrase you want to find. You can use wildcard expressions, nested expressions, Boolean operators, similar word matches, a previous results list, or topic titles to further define your search.

The basic rules for formulating queries are:

  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.

  • You can search for any combination of letters (a-z) and numbers (0-9).

  • Punctuation marks such as the period, colon, semicolon, comma, and hyphen are ignored during a search.

  • Group the elements of your search using double quotation marks or parentheses to set apart each element. You cannot search for quotation marks.

If you are searching for a file name with an extension, you should group the entire string in double quotation marks ("filename.ext"). Otherwise, the period breaks the file name into two separate terms. The default operation between terms is AND, which is the logical equivalent to "filename AND ext".

To find information with full-text search

  1. Click the Search tab, and then type the word or phrase you want to find.

  2. Click the arrow button to add Boolean operators to your search.

  3. Click List Topics, select the topic you want, and then click Display.

  4. To sort the topic list, click the Title, Location, or Rank column heading.

Note The ranking of topics under the Rank column is not determined by any standard (for example, alphabetical order or most hits). Do not use the ranking to determine which topics to view.

Searching for Words or Phrases

You can search for words or phrases and use wildcard expressions. Wildcard expressions allow you to search for one or more characters using a question mark or asterisk. The table describes the results of these different kinds of searches.

Search for | Example | Results
A single word | select | Topics that contain the word "select". (You will also find its grammatical variations, such as "selector" and "selection".)
A phrase | "new operator" or new operator | Topics that contain the literal phrase "new operator" and all its grammatical variations. Without the quotation marks, the query is equivalent to specifying "new AND operator", which will find topics containing both of the individual words, instead of the phrase.
Wildcard expressions | esc* or 80?86 | Topics that contain the terms "ESC", "escape", "escalation", and so on. The asterisk cannot be the only character in the term. Topics that contain the terms "80186", "80286", "80386", and so on. The question mark cannot be the only character in the term.

Select the Match similar words check box at the bottom of the Search tab to include minor grammatical variations for the phrase you search.

Defining Search Terms

The AND, OR, NOT, and NEAR operators enable you to precisely define your search by creating a relationship between search terms. The following table shows how you can use each of these operators. If an operator is not specified, AND is used. For example, the query "spacing border printing" is equivalent to "spacing AND border AND printing".

Search for | Example | Results
Both terms in the same topic. | dib AND palette | Topics containing both the words "dib" and "palette".
Either term in a topic. | raster OR vector | Topics containing either the word "raster" or the word "vector" or both.
The first term without the second term. | ole NOT dde | Topics containing the word "OLE", but not the word "DDE".
Both terms in the same topic, close together. | user NEAR kernel | Topics containing the word "user" within eight words of the word "kernel".

The characters |, &, and ! do not work as Boolean operators (you must use OR, AND, and NOT).

Note You must define a search phrase that begins with AND, OR, NOT, or NEAR with double quotation marks; otherwise, these words are interpreted as operators, and the search cannot be performed. For example, a search for the phrase NOT FOR REPLICATION returns an error message, and a search for the phrase "NOT FOR REPLICATION" succeeds.

Using Nested Expressions When Searching

Nested expressions allow you to create complex searches for information. For example, "control AND ((active OR dde) NEAR window)" finds topics containing the word "control" along with the words "active" and "window" close together, or containing "control" along with the words "dde" and "window" close together.

The basic rules for searching Help topics using nested expressions are:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.

  • If a query does not contain a nested expression, it is evaluated from left to right. For example: "Control NOT active OR dde" finds topics containing the word "control" without the word "active", or topics containing the word "dde". On the other hand, "control NOT (active OR dde)" finds topics containing the word "control" without either of the words "active" or "dde".

  • You cannot nest expressions more than five levels deep.

To search only the last group of topics from a previous search

This feature enables you to narrow a search that results in too many topics found. You can search through your results list from a previous search by using this option.

  1. On the Search tab, select the Search previous results check box.

  2. Click List Topics, select the topic you want, and then click Display.

If you want to search through all of the files in SQL Server Books Online, this check box must be cleared. If you have previously used this feature, when you click the Search tab, this check box will be selected.

To find words similar to your search term

This feature enables you to include minor grammatical variations for the phrase you search. For example, a search on the word "add" finds "add", "adds", and "added".

  1. Click the Search tab, type the word or phrase you want to find, and then select the Match similar words check box.

  2. Click List Topics, select the topic you want, and then click Display.

This feature locates only variations of the word with common suffixes. For example, a search on the word "add" finds "added", but it does not find "additive".

To search for words in the titles of SQL Server Books Online topics

  1. Click the Search tab, type the word or phrase you want to find, and then select the Search titles only check box.

  2. Click List Topics, select the topic you want, and then click Display.


Using Accessibility Features in SQL Server Books Online

The following topics describe the accessibility features that can be used for navigating SQL Server Books Online.

For more information about accessibility features and services, see the Accessibility page at Microsoft Web site.

Changing the Appearance of the Text

The formatting, font, and color of the text in SQL Server Books Online can be changed.

To change formatting or styles for accessibility

  1. On the Options menu, click Internet Options, and then click Accessibility.

  2. In the Accessibility dialog box, select the options you want, and then click OK.

These changes do not apply to the Navigation pane or toolbar of SQL Server Books Online. This procedure also changes your accessibility settings for Microsoft® Internet Explorer.

To change the font size of a topic

  • On the Options menu, click Internet Options, and then click Fonts.

These changes do not apply to the Navigation pane or toolbar of SQL Server Books Online. This procedure also changes your font settings for Internet Explorer.

To change colors in the Topic pane of SQL Server Books Online

  1. In Microsoft Internet Explorer 5.0, on the Tools menu, click Internet Options.

  2. On the General tab, click Colors.

  3. In the Colors dialog box, select the options you want, and then click OK.

  4. To apply the new color settings, in the Internet Options dialog box, click OK.

These changes do not apply to the Navigation pane or toolbar of SQL Server Books Online. This procedure also changes your color settings for Internet Explorer.

Using Keyboard Shortcuts

The following tables show the keyboard shortcuts that can be used for navigating SQL Server Books Online.

SQL Server Books Online
To | Press
Close SQL Server Books Online. | ALT+F4
Switch between SQL Server Books Online and other open windows. | ALT+TAB
Display the Options menu. | ALT+O
Change Microsoft® Internet Explorer settings. The Internet Options dialog box contains accessibility settings. To change these settings, click the General tab, and then click Accessibility. | ALT+O, and then press I
Hide or show the Navigation pane. | ALT+O, and then press T
Print a topic. | ALT+O, and then press P
Move back to the previous topic. | ALT+LEFT ARROW, or ALT+O, and then press B
Move forward to the next topic (provided you have just previously viewed it). | ALT+RIGHT ARROW, or ALT+O, and then press F
Turn on or off search highlighting. | ALT+O, and then press O
Switch between the Navigation pane and the Topic pane. | F6
Scroll through the table of contents, displaying each topic as you scroll. | ALT+UP ARROW, or ALT+DOWN ARROW
Scroll through a topic. | UP ARROW and DOWN ARROW, or PAGE UP and PAGE DOWN
Scroll through all the links in a topic or through all the options on a Navigation pane tab. | TAB
Display the Documentation Feedback form. | SHIFT+CTRL+F
Display the topic containing keyboard shortcuts. | SHIFT+CTRL+K
Display the See Also topics for a particular topic. | SHIFT+CTRL+S

Contents Tab
To | Press
Display the Contents tab. | ALT+C
Open and close a book or folder. | PLUS SIGN and MINUS SIGN, or LEFT ARROW and RIGHT ARROW
Select a topic. | DOWN ARROW and UP ARROW
Display the selected topic. | ENTER

Index Tab
To | Press
Display the Index tab. | ALT+N
Type a keyword to search for. | ALT+W, and then type the word
Select a keyword in the list. | UP ARROW and DOWN ARROW
Display the associated topic. | ALT+D

Search Tab
To | Press
Display the Search tab. | ALT+S
Type a keyword to search for. | ALT+W, and then type the word
Start a search. | ALT+L
Select a topic in the results list. | ALT+T, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D
Search for a word or phrase in a topic. | CTRL+F
Search for a keyword in the result list of a prior search. | ALT+U
Search for words similar to the keyword. For example, to find words such as "running" and "runs" for the keyword "run." | ALT+M
Search only through topic titles. | ALT+R

Favorites Tab
To | Press
Display the Favorites tab. | ALT+I
Add the currently displayed topic to the Favorites list. | ALT+A
Select a topic in the Favorites list. | ALT+P, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D
Remove the selected topic from the list. | ALT+R


Accessibility for People with Disabilities

Microsoft is committed to making its products and services easier for everyone to use. This topic provides information about the following features, products, and services that make Microsoft® Windows®, Microsoft Windows NT®, and Microsoft SQL Server™ 2000 more accessible for people with disabilities:

  • Accessibility of Microsoft SQL Server 2000

  • Features and hints for customizing Windows or Windows NT

  • Microsoft services for people who are deaf or hard-of-hearing

  • Microsoft software documentation online, or on audiocassette, floppy disk, or CD

  • Third-party utilities that enhance accessibility

  • Other products and services for people with disabilities

Note The information in this section applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the types of products and services described in this section are available in your area.

SQL Server 2000 Accessibility Features

In addition to Windows and Windows NT accessibility products and services, the following features make Microsoft SQL Server 2000 more accessible for people with disabilities.

The Help Viewer

The Help Viewer for Microsoft HTML Help is the tool through which you read the product documentation. It is equipped with accessibility features, including shortcut keys for navigation and commands. The Help Viewer also uses some of the accessibility features of Microsoft Internet Explorer. For example, it allows you to change the colors of the display on your computer screen. For more information, see Using SQL Server Books Online.

Customizing Windows or Windows NT

There are many ways you can customize Windows operating systems and Windows NT 4.0 to make your computer more accessible.

Accessibility features have been built into Windows and Windows NT since the introduction of Windows 95. These features are useful for individuals who have difficulty typing or using a mouse, have moderately impaired vision, or who are deaf or hard-of-hearing. The features can be installed during setup, or you can add them later from your Windows installation disks.

For information about installing and using these features, look up "accessibility" in the Windows Help Index.

Some of the accessibility features built into Windows and Windows NT can be added to earlier versions of those products, and to Microsoft MS-DOS®, through Access Pack files. You can download these files, or you can order them on disks from Microsoft. (See details in "Accessibility Notes and Utilities to Download" later in this section.)

You also can use Control Panel and other built-in features to adjust the appearance and behavior of Windows or Windows NT to suit varying vision and motor abilities. These include adjusting colors and sizes, sound volume, and the behavior of the mouse and keyboard.

In Windows 98, the majority of accessibility settings can be set through the Accessibility Wizard or Control Panel. The Accessibility Wizard presents features sorted by disability, making it easy to customize Windows to an individual's needs. The Accessibility Wizard also enables you to save your settings to a file that can be used on another computer.

Dvorak keyboard layouts make the most frequently typed characters on a keyboard more accessible if you have difficulty using the standard QWERTY layout. There are three Dvorak layouts: one if you are a two-handed user, one if you type with your left hand only, and one if you type with your right hand only. You do not need to purchase any special equipment to use these features.

The specific features available, and whether they are built-in or must be obtained separately, depend on which operating system you are using.

For full documentation on the accessibility features available in the operating system you are using, obtain the documents listed below. Accessibility features are also documented in the Microsoft Windows 95 Resource Kit, the Microsoft Windows 98 Resource Kit, and the Microsoft Windows NT Resource Kit.

Accessibility Notes and Utilities to Download

The table lists the documents that explain how to customize Microsoft Windows and Windows NT for users with disabilities. Specific instructions for downloading the files immediately follow this list.

For | You need
Customizing Windows for Individuals with Disabilities (describes all of the other documents in this list and includes links to download them; this article will be updated when new versions of Microsoft operating systems are released) | Microsoft Knowledge Base article Q165486
Customizing Microsoft Windows 95 for individuals with disabilities | Cst_W95.exe
Customizing Microsoft Windows NT 4.0 for individuals with disabilities | Cst_NT4.exe
Customizing Microsoft Windows NT 3.1 and 3.5 for individuals with disabilities (includes Access Pack for Microsoft Windows NT, which provides features for people who have difficulty using a keyboard or mouse, or who are deaf or hard-of-hearing) | Cst_NT3x.exe
Customizing Microsoft Windows 3.1 for individuals with disabilities | Cst_W3x.exe
Customizing Microsoft Windows for Workgroups 3.1 for individuals with disabilities | Cst_WG3x.exe
Customizing Microsoft Windows 3.0 for individuals with disabilities | Cst_W30.exe
Access Pack for Microsoft Windows 3.0 and 3.1, which provides features for people who have difficulty using a keyboard or mouse, or who are deaf or hard-of-hearing | Accp.exe
Dvorak keyboard layouts for people who type with one hand (already included in Windows NT version 3.5 and later) | Ga0650.exe

Downloading the Files

If you have a modem or another type of network connection, you can download the accessibility files from the following network services:

  • Microsoft Accessibility Page, at Microsoft Web Site.

  • Support online from Microsoft Technical Support at Microsoft Web Site. Choose the appropriate application from the list labeled "My search is about" (or choose "All Products") and enter "Q165486" in the text box labeled "My question is." The search results will display a link to the Knowledge Base article, "Customizing Windows for Individuals with Disabilities," which includes links to all of the documents listed above.

  • For other accessibility articles, choose the appropriate application from the list labeled "My search is about" and enter "kbenable" in the text box labeled "My question is."

  • Microsoft Download Service (MSDL), which you can reach by calling (425) 936-6735 any time except between 1:00 A.M. and 2:30 A.M. Pacific time.

  • MSDL supports 1200, 2400, 9600, or 14400 baud rates (V.22bis, V.32, V.32bis and V.42), with 8 data bits, no parity, and 1 stop bit. MSDL does not support 28800, 56K or ISDN connections.
Microsoft Services for People Who Are Deaf or Hard-of-Hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer Service

You can contact the Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 A.M. and 5:30 P.M. Pacific time.

Technical Assistance

For technical assistance in the United States, you can contact Microsoft Technical Support on a text telephone at (425) 635-4948 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 A.M. and 8:00 P.M. eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Microsoft Documentation in Alternative Formats

In addition to the standard forms of documentation, many Microsoft products are available in other formats to make them more accessible.

If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from Recording for the Blind & Dyslexic, Inc. RFB&D distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The RFB&D collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press®. You can download many of these books from the Microsoft Accessibility page at Microsoft Web Site.

For more information, contact Recording for the Blind & Dyslexic at the following address or phone numbers:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540 		Phone:
Fax:
Web: 		(609) 452-0606
(609) 987-8116
http://www.rfbd.org/

Utilities to Enhance Accessibility

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities. Among the different types of products available for the MS-DOS, Windows, and Windows NT operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments

  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading

  • Hardware and software utilities that modify the behavior of the mouse and keyboard

  • Programs that enable people to "type" by using a mouse or their voice

  • Word or phrase prediction software that allow users to type more quickly and with fewer keystrokes

  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard
Getting More Accessibility Information

In addition to the features and resources already described in this section, other products, services, and resources for people with disabilities are available from Microsoft and other organizations.

Microsoft

Microsoft provides a catalog of accessibility aids that can be used with the Windows and Windows NT operating systems. You can obtain this catalog from our Web site or by phone:

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393 		Web:
Voice telephone:
Text telephone: 		Microsoft Web Site(800) 426-9400
(800) 892-5234

Macintosh Disability Solutions

For more information about products and services for the Apple® Macintosh® for people with disabilities, contact:

Disability Solutions Web: http://www.apple.com/disability/

Trace R&D Center

The Trace R&D Center at the University of Wisconsin-Madison publishes a database of more than 18,000 products and other information for people with disabilities. The database is available on their site on the World Wide Web. The Trace R&D Center also publishes a book, titled Trace ResourceBook, which provides descriptions and photographs of about 2,000 products.

To obtain these materials, contact:

Trace R&D Center University of Wisconsin-Madison
5901 Research Park Boulevard
Madison, WI 53719-1252 		Web:
Fax: 		http://trace.wisc.edu/(608) 262-8848


Additional SQL Server Resources

This table provides Internet resources for information about Microsoft® SQL Server™ and related products and technologies.

Resource | Address
Microsoft Product Support Services Web | http://support.microsoft.com/directory
Microsoft Usenet | news://msnews.microsoft.com/
Microsoft Windows® Hardware Compatibility List | http://www.microsoft.com/hcl
MSDN® | http://msdn.microsoft.com
Meta Data Services (formerly known as Microsoft Repository) | http://msdn.microsoft.com
Professional Association for SQL Server | http://www.sqlpass.org/
Microsoft SQL Server Developer Center | http://msdn.microsoft.com
SQL Server Magazine | http://www.sqlmag.com/
Microsoft SQL Server Support | http://support.microsoft.com/support/sql
TechNet Site | www.Microsoft.com/technet
Microsoft Accessibility Web site | http://www.microsoft.com/enable
Microsoft SQL Server Web site | http://www.microsoft.com/sql
Microsoft SQL Server Web site, English Query page | http://www.microsoft.com/sql
Microsoft SQL Server Web site, Analysis Services page | http://www.microsoft.com/sql
XML Developer Center | http://www.msdn.microsoft.com/xml/default.asp


Microsoft SQL Server 2000 Copyright and Disclaimer

This document, including sample applications herein, is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including samples, URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results of the use of this document remains with the user.

The primary purpose of a sample is to illustrate a concept, or a reasonable use of a particular statement or clause. Most samples do not include all of the code that would normally be found in a full production system, as a lot of the usual data validation and error handling is removed to focus the sample on a particular concept or statement. Technical support is not available for these samples or for the provided source code.

Unless otherwise noted, the example companies, organizations, products, people, and events depicted herein are fictitious and no association with any real company, organization, product, person, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

©1996-2000 Microsoft Corporation. All rights reserved.

Active Directory, ActiveX, BackOffice, CodeView, Developer Studio, FoxPro, JScript, Microsoft, Microsoft Press, Microsoft SQL Server, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, Visual Basic, Visual C++, Visual Studio, Win32, Windows 2000, Windows, and Windows NT are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.

Version: 8.00.000